# iBizStudioComponentsVue (beta)

Ionic Vue.js specific building blocks on top of [@ionic/core](https://www.npmjs.com/package/@ionic/core) components.

To get started simply install `iBizStudioComponentsVue` and `iBizStudioComponents` with npm into your project and then register `iBizStudioComponentsVue` as a plugin to your vue application.

```ts
import Vue from 'vue';
import iBizStudioComponentsVue from 'ibiz-studio-components-vue';

Vue.use(iBizStudioComponentsVue);

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app');
```

## Current known limitations

This is an beta release of iBizStudioComponentsVue so please understand that there are some missing pieces but know that many of the components will work.

- The shorthand `v-model` binding is currently not supported
- Stack navigation for deep transitions is under heavy development at this time.

## License

- [MIT](https://raw.githubusercontent.com/ionic-team/ionic/master/LICENSE)
